/*******************************************************************************
 * Light generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class Light extends Actor
    native(Light)
    notplaceable
    hidecategories(Navigation)
    classgroup(Lights);

var() const editconst export editinline LightComponent LightComponent;
var repnotify bool bEnabled;

replication
{
    // Pos:0x000
    if(Role == ROLE_Authority)
        bEnabled
}

simulated event ReplicatedEvent(name VarName)
{
    // End:0x43
    if(VarName == 'bEnabled')
    {
        LightComponent.SetEnabled(bEnabled);
    }
    // End:0x56
    else
    {
        super.ReplicatedEvent(VarName);
    }
    //return;    
}

simulated function OnToggle(SeqAct_Toggle Action)
{
    // End:0x198
    if(!bStatic)
    {
        // End:0x69
        if(Action.InputLinks[0].bHasImpulse)
        {
            LightComponent.SetEnabled(true);
        }
        // End:0x13B
        else
        {
            // End:0xC3
            if(Action.InputLinks[1].bHasImpulse)
            {
                LightComponent.SetEnabled(false);
            }
            // End:0x13B
            else
            {
                // End:0x13B
                if(Action.InputLinks[2].bHasImpulse)
                {
                    LightComponent.SetEnabled(!LightComponent.bEnabled);
                }
            }
        }
        bEnabled = LightComponent.bEnabled;
        ForceNetRelevant();
        SetForcedInitialReplicatedProperty(boolproperty'bEnabled', bEnabled == default.bEnabled);
    }
    //return;    
}

defaultproperties
{
    Components(0)=none
    bStatic=true
    bHidden=true
    bNoDelete=true
    bRouteBeginPlayEvenIfStatic=false
    bMovable=false
}